# E-shop design

Information about queried e-shop template setting (defined by token).         
backgroundImage value can internally contain the link to a transparent       
reference gif, in this case the API returns a NULL value.

Endpoint: GET /api/eshop/design
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.template` (object, required)
    e-shop template

  - `data.template.name` (string, required)
    template name, enum value [swing, jazz, funk, pop, rock, soul, techno, echo, tango, waltz, classic, step, custom]

  - `data.template.colorVariant` (string, required)
    code for a specific color variant of a template

  - `data.layout` (object, required)
    page layout

  - `data.layout.homepage` (string, required)
    product detail, enum value [list, listImage, catalog2, catalog3, catalog4]
    Enum: "list", "listImage", "catalog2", "catalog3", "catalog4"

  - `data.layout.subPage` (string, required)
    subpage, enum value [list, listImage, catalog2, catalog3, catalog4]
    Enum: "list", "listImage", "catalog2", "catalog3", "catalog4"

  - `data.layout.productDetail` (string, required)
    product detail, enum value [list, listImage, catalog2, catalog3, catalog4]
    Enum: "list", "listImage", "catalog2", "catalog3", "catalog4"

  - `data.colorScheme` (object, required)

  - `data.colorScheme.conversionColor` (string, required)
    conversion color

  - `data.colorScheme.conversionColorHover` (string, required)
    conversion color upon cursor hovering

  - `data.colorScheme.color1` (string, required)
    primary color of e-shop

  - `data.colorScheme.color2` (string, required)
    primary color upon cursor hovering

  - `data.colorScheme.color3` (string, required)
    secondary e-shop color (can be null - not for all templates)

  - `data.colorScheme.color4` (string, required)
    secondary e-shop color upon cursor hovering (can be null - not for all templates)

  - `data.fonts` (object, required)

  - `data.fonts.heading` (string, required)

  - `data.fonts.text` (string, required)

  - `data.header` (object, required)

  - `data.header.backgroundImage` (string,null, required)
    background image (can be null)'

  - `data.header.image` (string,null, required)
    header image (can be null)

  - `data.header.logo` (string,null, required)
    e-shop logo in header (can be null)

  - `data.header.color` (string,null, required)
    Header background color for templates Techno, Tango, Classic, Step and Disco (can be null)

  - `data.background` (object, required)

  - `data.background.enabled` (boolean, required)
    flag, whether background is enabled

  - `data.background.color` (object,null, required)

  - `data.background.color.enabled` (boolean, required)
    flag, whether the background color is on

  - `data.background.color.color` (string,null, required)
    background color (can be null)

  - `data.background.image` (object,null, required)

  - `data.background.image.url` (string,null, required)
    background image URL (can be null)

  - `data.background.image.attachment` (string, required)
    mounting, enum value [scroll, fixed]
    Enum: "scroll", "fixed"

  - `data.background.image.position` (string, required)
    location, enum value [center, tile]
    Enum: "center", "tile"

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


